Subject: bug#37527: [PATCH] Install C source code for for debugging help

From: Michael Albinus <[email-masked]>
Date: Fri, 04 Oct 2019 10:57:30 +0200

Glenn Morris <[email-masked]> writes:

Hi Glenn,

> IMO if you need to debug Emacs outside the lisp level, you should build
> it and do so from the source directory. I see no need to start
> distributing the C source in installations. If any serious debugging is
> needed, people are usually advised to use unoptimized builds anyway.

I agree with you, that Emacs debugging based on distribution source and
debug packages might be problematic. As Paul has explained, just the
source package is useful for checking the C source code.

I've added installation of debug packages because other people found it
useful.

Best regards, Michael.